ncurses_inch
ncurses_init_pair
Ncurses Functions
PHP Manual

# ncurses_init_color

(PHP 4 >= 4.2.0, PHP 5 < 5.3.0, PECL ncurses >= 1.0.0)

ncurses_init_color — Define a terminal color

### Description

int ncurses_init_color ( int `$color` , int `$r` , int `$g` , int `$b` )

Defines or redefines the given color. When this function is called, all occurrences of the given color on the screen, if any, immediately change to the new definition.

Color capabilities must be supported by the terminal and initialized using ncurses_start_color() prior to calling this function. In addition, the terminal must have color changing capabilities; use ncurses_can_change_color() to check for this.

### Parameters

`color`

  The identification number of the color to redefine. It may be one of the default color constants.

`r`

  A color value, between 0 and 1000, for the red component.

`g`

  A color value, between 0 and 1000, for the green component.

`b`

  A color value, between 0 and 1000, for the blue component.

### Return Values

Returns -1 if the function was successful, and 0 if ncurses or terminal color capabilities have not been initialized or the terminal does not have color changing capabilities.

### See Also

- ncurses_color_content() - Retrieves RGB components of a color
- ncurses_start_color() - Initializes color functionality

ncurses_inch
ncurses_init_pair
Ncurses Functions
PHP Manual